### Hierarchy

- DocumentOrShadowRoot
  - Document
  - ShadowRoot
  - ShadowRoot

## Index

### Properties

- activeElement
- styleSheets

### Methods

- caretPositionFromPoint
- caretRangeFromPoint
- elementFromPoint
- elementsFromPoint
- getSelection

## Properties

### activeElement

activeElement: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4689

### styleSheets

styleSheets: StyleSheetList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4693

Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.

## Methods

### caretPositionFromPoint

- caretPositionFromPoint(x: number, y: number): CaretPosition | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4694

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns CaretPosition | null

### caretRangeFromPoint

- caretRangeFromPoint(x: number, y: number): Range

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4696
  deprecated

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Range

### elementFromPoint

- elementFromPoint(x: number, y: number): Element | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4697

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Element | null

### elementsFromPoint

- elementsFromPoint(x: number, y: number): Element[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4698

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Element[]

### getSelection

- getSelection(): Selection | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4699

  #### Returns Selection | null

Generated using TypeDoc